@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap');

* {
  box-sizing: border-box;
}

html {
  width: 100%;
  height: 100%;
  color: #fff;
  font-family: 'Lato', sans-serif;
}

body {
  margin: 0;
  display: flex;
  background: black;
}

.menu, .menu ul, .menu ul li, .menu ul li a,
.menu ul ul, .menu ul ul li, .menu ul ul li a {
  margin: 0;
  padding: 0;
  border: 0;
  line-height: 1;
}

.menu ul {
    list-style-type: none; 
    text-align: center;
} 

.menu ul li {
    position: relative;
    display: inline; 
    text-align: center;
}

.menu ul li a {
    text-decoration: none;
    display: inline-block; 
    width: 200px; 
    padding: 20px;
    color: #fff;
    background: rgb(65, 105, 225);
}

.menu ul li a:hover, .menu ul li a:focus, .menu ul li a:active  {
    color: #777;
    background: rgb(99, 147, 236);
}

.menu-arrow {
    font-size: 10px;
}

.menu ul ul {
    position: absolute;
    left:0;
    opacity: 0;
}

.menu ul li:hover ul {
    opacity: 1;
}

.menu ul ul li {
    display: block;
    text-align: left;
}

.menu ul ul li a {
    width: 100%;
    min-width:200px;
    padding: 20px;
    white-space: nowrap;
    border-bottom: 1px solid #ccc;
    color: #333;
    background: rgb(30, 144, 255);
}

.menu ul ul li a:hover, .menu ul ul li a:focus, .menu ul ul li a:active  {
    color: #777;
    background: rgb(0, 191, 255);
}

.menu ul li a, .menu ul ul li, .menu ul li:hover, .menu ul ul {
    transition: all .4s ease-in-out;
}

.responsive-button {
    padding: 20px;
    color: #333;
    font-weight: bold;
    background: rgb(65, 105, 225);
    border-bottom: 1px solid #ccc;
    text-align: center;
    display: none;
}

input[id=responsive-button] {
    display: none;
}

input[id=responsive-button]:checked ~ .menu {
    display: block;
}

h1 {
  position: absolute;
  right: 500px;
  bottom: 60px;
  font-size: 100px;
  font-weight: 400;
  color: #8ae4ff;
  text-shadow: -2px -2px 0 #000, 2px -2px 0 #000, -2px 2px 0 #000,
    2px 2px 0 #000, 5px -5px 0 #8ae4ff;
}

.desk-wrapper {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 400px;
  height: 400px;
  background: #fff;
  border-radius: 0px 150px 0px 150px;
}

.desk {
  width: inherit;
  height: inherit;
  background-image: linear-gradient(-45deg, #8ae4ff 25%, transparent 25%),
    linear-gradient(45deg, #8ae4ff 25%, transparent 25%),
    linear-gradient(-45deg, transparent 75%, #8ae4ff 75%),
    linear-gradient(45deg, transparent 75%, #8ae4ff 75%);
  background-size: 400px;
  background-position: 0 0, 0 200px, 200px -200px, 200px 0px;
}
